<?php


namespace App\ViewModels\Setor\SetorDetailsViewModel;


use App\Utils\Entity;

class SetorDetailsViewModel extends Entity
{
    protected $id;
    protected $descricao;
    protected $id_centro_custo;
    protected $descricao_centro_custo;
    protected $criado_em;
    protected $atualizado_em;
    protected $desativado_em;
    protected $criado_por;
    protected $alterado_por;
    protected $desativado_por;

    public static function builder() : SetorDetailsViewModelBuilder
    {
        $centro_custo_details_vm_builder = new SetorDetailsViewModelBuilder();
        return $centro_custo_details_vm_builder;
    }

    /**
     * @return mixed
     */
    public function getDescricaoCentroCusto()
    {
        return $this->descricao_centro_custo;
    }

    /**
     * @param mixed $descricao_centro_custo
     */
    public function setDescricaoCentroCusto($descricao_centro_custo): void
    {
        $this->descricao_centro_custo = $descricao_centro_custo;
    }

    /**
     * @return mixed
     */
    public function getIdCentroCusto()
    {
        return $this->id_centro_custo;
    }

    /**
     * @param mixed $id_centro_custo
     */
    public function setIdCentroCusto($id_centro_custo): void
    {
        $this->id_centro_custo = $id_centro_custo;
    }

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id): void
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getDescricao()
    {
        return $this->descricao;
    }

    /**
     * @param mixed $descricao
     */
    public function setDescricao($descricao): void
    {
        $this->descricao = $descricao;
    }

    /**
     * @return mixed
     */
    public function getCriadoEm()
    {
        return $this->criado_em;
    }

    /**
     * @param mixed $criado_em
     */
    public function setCriadoEm($criado_em): void
    {
        $this->criado_em = $criado_em;
    }

    /**
     * @return mixed
     */
    public function getAtualizadoEm()
    {
        return $this->atualizado_em;
    }

    /**
     * @param mixed $atualizado_em
     */
    public function setAtualizadoEm($atualizado_em): void
    {
        $this->atualizado_em = $atualizado_em;
    }

    /**
     * @return mixed
     */
    public function getDesativadoEm()
    {
        return $this->desativado_em;
    }

    /**
     * @param mixed $desativado_em
     */
    public function setDesativadoEm($desativado_em): void
    {
        $this->desativado_em = $desativado_em;
    }

    /**
     * @return mixed
     */
    public function getCriadoPor()
    {
        return $this->criado_por;
    }

    /**
     * @param mixed $criado_por
     */
    public function setCriadoPor($criado_por): void
    {
        $this->criado_por = $criado_por;
    }

    /**
     * @return mixed
     */
    public function getAlteradoPor()
    {
        return $this->alterado_por;
    }

    /**
     * @param mixed $alterado_por
     */
    public function setAlteradoPor($alterado_por): void
    {
        $this->alterado_por = $alterado_por;
    }

    /**
     * @return mixed
     */
    public function getDesativadoPor()
    {
        return $this->desativado_por;
    }

    /**
     * @param mixed $desativado_por
     */
    public function setDesativadoPor($desativado_por): void
    {
        $this->desativado_por = $desativado_por;
    }

}